Package org.apache.calcite.avatica

# Class NoSuchStatementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.calcite.avatica.NoSuchStatementException

All Implemented Interfaces:
  `Serializable`

public class NoSuchStatementException extends Exception
An Exception that denotes that the given Statement is not cached.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoSuchStatementException(Meta.StatementHandle stmtHandle)`

## Method Summary

Modifier and Type
Method
Description
`Meta.StatementHandle`
`getStatementHandle()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSuchStatementException

public NoSuchStatementException(Meta.StatementHandle stmtHandle)

## Method Details

### getStatementHandle

public Meta.StatementHandle getStatementHandle()